<?php
	
	// Title and description
	$zerif_bottomribbon_text = get_theme_mod('zerif_bottomribbon_text');
	$zerif_bottomribbon_description = get_theme_mod('rhea_top_cta_text');

	// Buttons
	$zerif_bottomribbon_buttonlabel = get_theme_mod('zerif_bottomribbon_buttonlabel');
	$zerif_bottomribbon_buttonlink = get_theme_mod('zerif_bottomribbon_buttonlink');

	$rhea_second_button_label = get_theme_mod('rhea_second_button_label');
	$rhea_second_button_link = get_theme_mod('rhea_second_button_link');

	if ( $zerif_bottomribbon_text ) {

		echo '<section class="separator-one" id="ribbon_bottom">';
			echo '<div class="color-overlay">';
		
		// Section Header
		if ( $zerif_bottomribbon_text || $zerif_bottomribbon_description ) {
		
			echo '<div class="section-header">';
			if ( $zerif_bottomribbon_text ) {
				echo '<h2 class="dark-text">'.wp_kses_post( $zerif_bottomribbon_text ).'</h2>';
			}elseif ( is_customize_preview() ) {
				echo '<h2 class="dark-text zerif_hidden_if_not_customizer"></h2>';
			}

			if ( $zerif_bottomribbon_description ) {
				echo '<div class="section-legend">'.wp_kses_post( $zerif_bottomribbon_description ).'</div>';
			}elseif ( is_customize_preview() ) {
				echo '<div class="section-legend zerif_hidden_if_not_customizer"></div>';
			}
			echo '</div>';

		}elseif ( is_customize_preview() ) {
			echo '<div class="section-header zerif_hidden_if_not_customizer">';
				echo '<h2 class="dark-text zerif_hidden_if_not_customizer"></h2>';
				echo '<div class="section-legend zerif_hidden_if_not_customizer"></div>';
			echo '</div>';
		}

		// Section buttons
		if ( $zerif_bottomribbon_buttonlabel && $zerif_bottomribbon_buttonlink ) {
			echo '<div data-scrollreveal="enter left after 0s over 1s" class="button-container">';
				echo '<a href="'.esc_url( $zerif_bottomribbon_buttonlink ).'" class="btn btn-primary custom-button fill-button left-button green-btn">'.wp_kses_post( $zerif_bottomribbon_buttonlabel ).'</a>';
			echo '</div>';
		}elseif ( is_customize_preview() ) {
			echo '<div data-scrollreveal="enter left after 0s over 1s" class="button-container zerif_hidden_if_not_customizer">';
				echo '<a href="" class="btn btn-primary custom-button fill-button left-button green-btn"></a>';
			echo '</div>';
		}

		if ( $rhea_second_button_label && $rhea_second_button_link ) {
			echo '<div data-scrollreveal="enter right after 0s over 1s" class="button-container">';
				echo '<a href="'.esc_url( $rhea_second_button_link ).'" class="btn btn-primary custom-button outline-btn right-button">'.wp_kses_post( $rhea_second_button_label ).'</a>';
			echo '</div>';
		}elseif ( is_customize_preview() ) {
			echo '<div data-scrollreveal="enter right after 0s over 1s" class="button-container zerif_hidden_if_not_customizer">';
				echo '<a href="" class="btn btn-primary custom-button outline-btn right-button"></a>';
			echo '</div>';
		}


			echo '</div>';
		echo '</section>';

	}elseif ( is_customize_preview() ) {
		
		echo '<section class="separator-one zerif_hidden_if_not_customizer" id="ribbon_bottom">';
			echo '<div class="color-overlay">';
		
		// Section Header
		if ( $zerif_bottomribbon_text || $zerif_bottomribbon_description ) {
		
			echo '<div class="section-header">';
			if ( $zerif_bottomribbon_text ) {
				echo '<h2 class="dark-text">'.wp_kses_post( $zerif_bottomribbon_text ).'</h2>';
			}elseif ( is_customize_preview() ) {
				echo '<h2 class="dark-text zerif_hidden_if_not_customizer"></h2>';
			}

			if ( $zerif_bottomribbon_description ) {
				echo '<div class="section-legend">'.wp_kses_post( $zerif_bottomribbon_description ).'</div>';
			}elseif ( is_customize_preview() ) {
				echo '<div class="section-legend zerif_hidden_if_not_customizer"></div>';
			}
			echo '</div>';

		}elseif ( is_customize_preview() ) {
			echo '<div class="section-header zerif_hidden_if_not_customizer">';
				echo '<h2 class="dark-text zerif_hidden_if_not_customizer"></h2>';
				echo '<div class="section-legend zerif_hidden_if_not_customizer"></div>';
			echo '</div>';
		}

		// Section buttons
		if ( $zerif_bottomribbon_buttonlabel && $zerif_bottomribbon_buttonlink ) {
			echo '<div data-scrollreveal="enter left after 0s over 1s" class="button-container">';
				echo '<a href="'.esc_url( $zerif_bottomribbon_buttonlink ).'" class="btn btn-primary custom-button fill-button left-button">'.wp_kses_post( $zerif_bottomribbon_buttonlabel ).'</a>';
			echo '</div>';
		}elseif ( is_customize_preview() ) {
			echo '<div data-scrollreveal="enter left after 0s over 1s" class="button-container zerif_hidden_if_not_customizer">';
				echo '<a href="" class="btn btn-primary custom-button fill-button left-button"></a>';
			echo '</div>';
		}

		if ( $rhea_second_button_label && $rhea_second_button_link ) {
			echo '<div data-scrollreveal="enter right after 0s over 1s" class="button-container">';
				echo '<a href="'.esc_url( $rhea_second_button_link ).'" class="btn btn-primary custom-button outline-btn right-button">'.wp_kses_post( $rhea_second_button_label ).'</a>';
			echo '</div>';
		}elseif ( is_customize_preview() ) {
			echo '<div data-scrollreveal="enter right after 0s over 1s" class="button-container zerif_hidden_if_not_customizer">';
				echo '<a href="" class="btn btn-primary custom-button outline-btn right-button"></a>';
			echo '</div>';
		}


			echo '</div>';
		echo '</section>';

	}
